<?php
function eapsgt_add_plugin_link( $plugin_actions, $plugin_file ) {

	$new_actions = array();
	if ( basename( EAPSGT_PLUGIN_DIR ) . '/easy-animated-popup.php' === $plugin_file ) {
		$new_actions['cl_settings'] = sprintf( __( '<a href="%s">Settings</a>', 'easy-animated-popup' ), esc_url( admin_url( 'edit.php?post_type=eapsgt' ) ) );
	}

	return array_merge( $new_actions, $plugin_actions );
}

add_filter( 'plugin_action_links', 'eapsgt_add_plugin_link', 10, 2 );
